### Method

# AppStream Component get_translations

since: 0.9.2

#### Declaration [src]

    GPtrArray*
    as_component_get_translations (
      AsComponent* cpt
    )

#### Description [src]

Get a `GPtrArray` of `AsTranslation` objects describing the translation systems and translation-ids (e.g. Gettext domains) used by this software component.

Only set for metainfo files.

Available since: 0.9.2

#### Return value

Type: An array of `AsTranslation*`

An array of `AsTranslation` objects.

The returned data is owned by the instance.